Retail Express API 2.1

Searches Supplier Returns by parameters

Searches Supplier Returns by parameters

get
https://api.retailexpress.com.au/v2.1/supplierreturns

Query Parameters

idsstring | null

List of supplier returns identifiers
Example: 2,3,4

supplier_idsstring | null

List of supplier identifiers
Example: 2,3,4

outlet_idsstring | null

List of outlet identifiers
Example: 2,3,4

supplier_return_status_idsstring | null

List of Supplier Return Status identifiers
Example: 2,3,4

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

include_credit_notesboolean

Include Credit Notes flag

order_bystring | null

Order by.

Available field name values: id, supplier, outlet, supplier_return_status, return_authorisation, total_return_quantity, total_claim_amount_ex, total_claim_amount_tax, total_claim_amount_inc, total_credit_received_ex, total_credit_received_inc, created_on, started_on, modified_on, finalised_on, created_by_id, created_by_first_name, created_by_surname, modified_by_id, modified_by_first_name, modified_by_surname.

Available direction values: asc, desc.

Example: id asc, supplier desc

filter_bystring | null

Filter by.

Available field name values: id, supplier, outlet, supplier_return_status, return_authorisation, created_on, started_on, finalised_on, modified_on, created_by_id, created_by_first_name, created_by_surname, modified_by_id, modified_by_first_name, modified_by_surname, total_return_quantity, total_claim_amount_ex, total_claim_amount_tax, total_claim_amount_inc, total_credit_received_ex, total_credit_received_inc, credit_note_number (for value, ​matches id or supplier_reference of any of credit_notes linked to Supplier Return. Supported operators are eq, neq, contains, doesnotcontain, in, notin)

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: created_on:gte:2021-06-03T05:48:09+10:00,supplier:in:supplier1|supplier2

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Supplier Returns

SupplierReturns.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Supplier Returns VM

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/supplierreturns
 
application/json

Creates Supplier Return

Sample request:

 POST /supplierreturns
 {
     "supplier":{
         "id": 1
     },
     "outlet":{
         "id": 1
     },
     "notes": "notes",
     "return_authorisation": "return authorisation",
     "include_tax": false
 }
post
https://api.retailexpress.com.au/v2.1/supplierreturns

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Supplier Return model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Supplier Return created

SupplierReturns

Supplier Returns VM

* Additional properties are NOT allowed.
idinteger | null(int32)

Supplier Return identifier

include_taxboolean | null

Include Tax

Default:true

supplierobject
* Additional properties are NOT allowed.
Show Child Parameters
outletobject
* Additional properties are NOT allowed.
Show Child Parameters
supplier_return_statusobject

Supplier Return Status Model

* Additional properties are NOT allowed.
Show Child Parameters
supplier_addressobject

Supplier address model

* Additional properties are NOT allowed.
Show Child Parameters
total_return_quantityinteger(int64)

Total return quantity

total_claim_amount_exnumber(double)

Total claim amount ex

total_claim_amount_taxnumber(double)

Total claim amount tax

total_claim_amount_incnumber(double)

Total claim amount inc

total_credit_received_exnumber(double)

Total credit received ex

total_credit_received_incnumber(double)

Total credit received inc

notesstring | null

Notes

>= 0 characters<= 8000 characters

return_authorisationstring | null

Return Authorisation

>= 0 characters<= 100 characters

started_onstring | null(date-time)

Started on

created_onstring(date-time)

Created on

modified_onstring(date-time)

Modified on

finalised_onstring | null(date-time)

Finalised on

credit_notesarray | null[object]

Credit Note model

* Additional properties are NOT allowed.
Show Child Parameters
created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
modified_byobject
* Additional properties are NOT allowed.
Show Child Parameters
post/supplierreturns

Body

{}
 
application/json

Gets specific Supplier Return by unique id

Gets specific Supplier Return by unique id

get
https://api.retailexpress.com.au/v2.1/supplierreturns/{id}

Path Parameters

idinteger(int32)required

Supplier Return id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Supplier Return

SupplierReturns

Supplier Returns VM

* Additional properties are NOT allowed.
idinteger | null(int32)

Supplier Return identifier

include_taxboolean | null

Include Tax

Default:true

supplierobject
* Additional properties are NOT allowed.
Show Child Parameters
outletobject
* Additional properties are NOT allowed.
Show Child Parameters
supplier_return_statusobject

Supplier Return Status Model

* Additional properties are NOT allowed.
Show Child Parameters
supplier_addressobject

Supplier address model

* Additional properties are NOT allowed.
Show Child Parameters
total_return_quantityinteger(int64)

Total return quantity

total_claim_amount_exnumber(double)

Total claim amount ex

total_claim_amount_taxnumber(double)

Total claim amount tax

total_claim_amount_incnumber(double)

Total claim amount inc

total_credit_received_exnumber(double)

Total credit received ex

total_credit_received_incnumber(double)

Total credit received inc

notesstring | null

Notes

>= 0 characters<= 8000 characters

return_authorisationstring | null

Return Authorisation

>= 0 characters<= 100 characters

started_onstring | null(date-time)

Started on

created_onstring(date-time)

Created on

modified_onstring(date-time)

Modified on

finalised_onstring | null(date-time)

Finalised on

credit_notesarray | null[object]

Credit Note model

* Additional properties are NOT allowed.
Show Child Parameters
created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
modified_byobject
* Additional properties are NOT allowed.
Show Child Parameters
get/supplierreturns/{id}
 
application/json

Updates Supplier Return

Sample request:

PUT /supplierreturns
{
    "supplier":{
        "id": 1
    },
    "outlet":{
        "id": 1
    },
    "supplier_address":{
        "address_line1": "address",
        "suburb": "suburb",
        "state": "state",
        "postcode": "postcode",
        "country":{
            "id": 1,
            "name": "country_name"
        }
    },
    "notes": "notes",
    "return_authorisation": "return authorisation",
    "include_tax": false,
    "supplier_return_status":{
        "id": 1
    }
}
put
https://api.retailexpress.com.au/v2.1/supplierreturns/{id}

Path Parameters

idinteger(int32)required

Supplier Return id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Supplier Return model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Returns updated Supplier Return

SupplierReturns

Supplier Returns VM

* Additional properties are NOT allowed.
idinteger | null(int32)

Supplier Return identifier

include_taxboolean | null

Include Tax

Default:true

supplierobject
* Additional properties are NOT allowed.
Show Child Parameters
outletobject
* Additional properties are NOT allowed.
Show Child Parameters
supplier_return_statusobject

Supplier Return Status Model

* Additional properties are NOT allowed.
Show Child Parameters
supplier_addressobject

Supplier address model

* Additional properties are NOT allowed.
Show Child Parameters
total_return_quantityinteger(int64)

Total return quantity

total_claim_amount_exnumber(double)

Total claim amount ex

total_claim_amount_taxnumber(double)

Total claim amount tax

total_claim_amount_incnumber(double)

Total claim amount inc

total_credit_received_exnumber(double)

Total credit received ex

total_credit_received_incnumber(double)

Total credit received inc

notesstring | null

Notes

>= 0 characters<= 8000 characters

return_authorisationstring | null

Return Authorisation

>= 0 characters<= 100 characters

started_onstring | null(date-time)

Started on

created_onstring(date-time)

Created on

modified_onstring(date-time)

Modified on

finalised_onstring | null(date-time)

Finalised on

credit_notesarray | null[object]

Credit Note model

* Additional properties are NOT allowed.
Show Child Parameters
created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
modified_byobject
* Additional properties are NOT allowed.
Show Child Parameters
put/supplierreturns/{id}

Body

{}
 
application/json

Searches Supplier Return Items by Supplier Return id and other parameters

Searches Supplier Return Items by Supplier Return id and other parameters

get
https://api.retailexpress.com.au/v2.1/supplierreturns/{id}/supplierreturnitems

Query Parameters

idsstring | null

Supplier Return Items ids. (comma separated)
Other properties are skipped, if used.
Example: 2,3,4

supplier_return_reason_idsstring | null

Supplier Return reason ids.
Example: 2,3,4

supplier_return_item_status_idsstring | null

Supplier Return Item status ids.
Example: 2,3,4

supplier_return_item_source_idsstring | null

Supplier Return Item source ids.
Example: 2,3,4

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

selectstring | null

Select fields.

Available field name values: id

Example: id

order_bystring | null

Order by.

Available field name values: id, product_id, size, colour, supplier_sku, manufacturer_sku, supplier_sku2, short_description, supplier_return_reason, return_quantity, original_buy_ex, total_original_buy_ex, supplier_return_item_status, supplier_return_item_source, original_supplier_invoice, total_claim_amount_ex, total_claim_amount_tax, total_claim_amount_inc, claim_amount_ex, credit_note_id, credit_note_item_id, credit_amount_ex, supplier_return_item_notes, total_credit_amount_ex, total_credit_amount_inc, created_by_id, created_by_first_name, created_by_surname, modified_by_id, modified_by_first_name, modified_by_surname.

Available direction values: asc, desc.

Example: id asc, product_id desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Supplier Return id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Supplier Return Items

SupplierReturnItem.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Supplier Return Item

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/supplierreturns/{id}/supplierreturnitems
 
application/json